
On Saturday, February 20, 2016 at 12 noon, I received a visit from my eldest son Dario and a friend, who I had asked for help. They came to help me with cleaning the room on the third floor. I asked them if they had had breakfast, as they live far away from me. The said that they hadn't. I made them breakfast. Then we started carrying down items from the third floor to the first floor. I went down just three times and I felt very tired, perspiring a lot. I sat down to rest. My son accompanied me. I felt that the tiredness wouldn't improve and it just got worse. So I said to him to take me to the hospital, since there was one very close, just a stone's throw away on the corner. He took me there, parking the vehicle at the entrance.

I continued to deteriorate and I had no strength in my extremities. At that moment, I felt I was dying. At the same time, I felt an infinite peace. Little by little, a light clouded my vision. I said to my son, 'I am going now! Take care of yourself, and take care of your brothers!' I remember that I raised my hand and waved goodbye to him. Meanwhile, he carried me and all I know is that I heard a voice, saying to me 'Papa look at me! Speak to me!' Now I am in the emergency room and someone was saying to someone else, 'Myocardial infarction, myocardial infarction! Open the doors'. Then the infinite peace and light that had clouded my vision continued and approached me. I responded to some tablets that they had put under my tongue. They asked me my name, that of my parents, where I lived, what year I had been born, and then after testing my lucidity, sent me to a special cardiac hospital. There they performed two angioplasties. I stayed in the hospital for special open heart surgery for them to carry out a triple heart bypass, which I have been through and then I was in cardiac recovery.
